> ## Documentation Index
> Fetch the complete documentation index at: https://docs.puretalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Assistants

> Create a new AI Assistant



## OpenAPI

````yaml openapi-ai-assistants POST /ai-assistants
openapi: 3.0.1
info:
  title: Puretalk AI
  description: Api Documentation for Puretalk AI
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.puretalk.ai/api
security:
  - ApiKeyAuth: []
paths:
  /ai-assistants:
    post:
      description: Create a new AI Assistant
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: The name of the AI Assistant
                voice:
                  type: integer
                  description: The voice id of the AI Assistant
                prompt:
                  type: string
                  description: The prompt of the AI Assistant
                model:
                  type: string
                  enum:
                    - puretalk-plg
                  default: puretalk-plg
                  description: The model of the AI Assistant
                who_speaks_first:
                  type: string
                  enum:
                    - user
                    - assistant
                  default: assistant
                  description: Who speaks first value of the AI Assistant
                begin_message:
                  type: string
                  description: The begin message of the AI Assistant
                call_recording_enabled:
                  type: boolean
                  default: true
                  description: If call recording is enabled for the AI Assistant
                assistant_type:
                  type: string
                  enum:
                    - single_prompt
                    - multi_prompt
                  default: single_prompt
                  description: The assistant type of the AI Assistant
                avatar:
                  type: string
                  description: The avatar url of the AI Assistant
                  format: uri
                  nullable: true
                custom_knowledge_base:
                  type: string
                  description: The custom knowledge base of the AI Assistant
                timezone:
                  type: string
                  description: The timezone of the AI Assistant
                reminder_message_frequency:
                  type: integer
                  description: The reminder message frequency of the AI Assistant
                max_reminder_messages:
                  type: integer
                  description: The maximum reminder messages of the AI Assistant
                voice_stability:
                  type: string
                  description: The voice stability of the AI Assistant
                voice_clarity_similarity:
                  type: string
                  description: The voice clarity similarity of the AI Assistant
                voice_stream_latency_optimization:
                  type: integer
                  description: The voice stream latency optimization of the AI Assistant
                voice_boost:
                  type: boolean
                  default: false
                  description: Indicates if voice boost is enabled for the AI Assistant
                knowledge_base:
                  type: string
                  description: The knowledge base id of the AI Assistant
                  format: uuid
                template:
                  type: string
                  description: The template id of the AI Assistant
                  format: uuid
                behavior:
                  type: string
                  description: The behavior id of the AI Assistant
                  format: uuid
              required:
                - name
                - voice
                - prompt
              oneOf:
                - properties:
                    who_speaks_first:
                      enum:
                        - assistant
                  required:
                    - begin_message
                - properties:
                    who_speaks_first:
                      enum:
                        - user
      responses:
        '201':
          description: AI Assistant created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssistantResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    AssistantResponse:
      type: object
      properties:
        msg:
          type: string
        err:
          type: boolean
        results:
          $ref: '#/components/schemas/Assistant'
    Error:
      type: object
      properties:
        err:
          type: boolean
        msg:
          type: string
    Assistant:
      type: object
      properties:
        assistant_id:
          type: string
          format: uuid
          description: The ID of the AI Assistant
          example: 123e4567-e89b-12d3-a456-426614174000
        name:
          type: string
          description: The name of the AI Assistant
          example: My AI Assistant
        prompt:
          type: string
          description: The prompt of the AI Assistant
          example: Hello, how are you?
        model:
          type: string
          description: The model of the AI Assistant
          example: gpt-3.5-turbo
        who_speaks_first:
          type: string
          enum:
            - assistant
            - user
          description: Who speaks first value of the AI Assistant
          example: assistant
        begin_message:
          type: string
          nullable: true
          description: The begin message of the AI Assistant
          example: Hello, how are you?
        assistant_type:
          type: string
          description: The assistant type of the AI Assistant
          example: single_prompt
        avatar:
          type: string
          format: uri
          nullable: true
          description: The avatar of the AI Assistant
        custom_knowledge_base:
          type: string
          nullable: true
          description: The custom knowledge base of the AI Assistant
        timezone:
          type: string
          description: The timezone of the AI Assistant
        voice_stability:
          type: number
          minimum: 0
          maximum: 1
          description: The voice stability of the AI Assistant
        voice_clarity_similarity:
          type: number
          minimum: 0
          maximum: 1
          description: The voice clarity similarity of the AI Assistant
        voice_stream_latency_optimization:
          type: integer
          minimum: 0
          maximum: 5
          description: The voice stream latency optimization of the AI Assistant
        voice_boost:
          type: boolean
          default: false
          description: Indicates if voice boost is enabled for the AI Assistant
        voice_speed:
          type: number
          default: 0
          description: The voice speed of the AI Assistant
        voice_emotion:
          type: array
          items:
            type: string
          default: []
          description: The voice emotion of the AI Assistant
        call_recording_enabled:
          type: boolean
          default: true
          description: Indicates if call recording is enabled for the AI Assistant
        reminder_message_frequency:
          type: integer
          minimum: 0
          description: The reminder message frequency of the AI Assistant
        max_reminder_messages:
          type: integer
          minimum: 0
          description: The maximum reminder messages of the AI Assistant
        post_analysis:
          type: string
          nullable: true
          description: The post analysis of the AI Assistant
        chatbot_logo:
          type: string
          format: uri
          nullable: true
          description: The chatbot logo of the AI Assistant
        chatbot_accent_color:
          type: string
          nullable: true
          description: The chatbot accent color of the AI Assistant
        chatbot_faq:
          type: string
          nullable: true
          description: The chatbot FAQ of the AI Assistant
        chatbot_whitelisted_domains:
          type: array
          items:
            type: string
          nullable: true
          description: The chatbot whitelisted domains of the AI Assistant
        chatbot_begin_message:
          type: string
          nullable: true
          description: The chatbot begin message of the AI Assistant
        tools:
          type: string
          nullable: true
          description: The tools of the AI Assistant
        created_at:
          type: string
          format: date-time
          description: The created at date of the AI Assistant
        updated_at:
          type: string
          format: date-time
          description: The updated at date of the AI Assistant
        behavior:
          type: integer
          minimum: 0
          description: The behavior of the AI Assistant
        user:
          type: object
          properties:
            name:
              type: string
              description: The name of the user
            dp:
              type: string
              format: uri
              nullable: true
              description: The dp of the user
            email:
              type: string
              format: email
              description: The email of the user
        voice:
          type: object
          properties:
            voice_id:
              type: string
              description: The voice id of the user
            name:
              type: string
              description: The name of the voice
            avatar:
              type: string
              format: uri
              description: The avatar of the voice
            gender:
              type: string
              description: The gender of the voice
            demo_audio_url:
              type: string
              format: uri
              description: The demo audio url of the voice
            is_cloned:
              type: boolean
              description: Indicates if the voice is cloned
            language:
              type: string
              description: The language of the voice
            description:
              type: string
              nullable: true
              description: The description of the voice
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Authorization header containing API key. You can find your API key in
        the dashboard under 'API Keys'.

````